;(function ($) {
  "use strict"

  $(function () {
    function atfc_update_counter() {
      var $atfc_counter_field = $("#atfc_rows"),
        atfc_total_row

      $atfc_counter_field.val("")

      atfc_total_row = $("ul.bwl_cmb_repeat_field_container").find("li").length
      $atfc_counter_field.val(atfc_total_row)
    }

    function atfc_cmb_generate_repeat_field($field_type, $field_name, $count_val, $label_text, $delete_text, $upload_text, $default_value) {
      var $repeat_row = ""

      $repeat_row += '<li class="bwl_cmb_repeat_row" data-row_count="' + $count_val + '">' + '<span class="label">' + $label_text + "</span> " + '<input id="' + $field_name + "_" + $count_val + '_url" name="' + $field_name + "[" + $count_val + '][atfc_url]" type="text" class="img-path" value="" />' + '<input id="' + $field_name + "_" + $count_val + '_id" name="' + $field_name + "[" + $count_val + '][atfc_id]" type="hidden"  value="" />' + '<input id="upload_' + $field_name + "_" + $count_val + '_button" type="button" class="button atfc_cmb_upload_file" value="' + $upload_text + '" data-parent_field="' + $field_name + '" data-row_count="' + $count_val + '"/>' + '<div class="clear"></div>' + '<a class="atfc_delete_row" title="' + $delete_text + '">' + $delete_text + "</a>" + "</li>"

      return $repeat_row
    }

    // Clone Rows.

    function atfc_get_new_row_id() {
      var new_row_id = 0
      var $bwl_cmb_repeat_field_container = $(".bwl_cmb_repeat_field_container")
      $bwl_cmb_repeat_field_container.find("li").each(function () {
        if ($(this).data("row_count") > new_row_id) {
          new_row_id = $(this).data("row_count")
        }
      })

      return new_row_id
    }

    if ($("#cmb_atfc_attachment_settings").length) {
      atfc_update_counter()

      var $atfc_parent_wrapper = $("#cmb_atfc_attachment_settings")

      $(document).on("click", ".atfc_cmb_upload_file", function () {
        var afc_cmb_uploader

        var $atfc_attachment_url = $("#" + $(this).data("parent_field") + "_" + $(this).data("row_count") + "_url")
        var $atfc_attachment_id = $("#" + $(this).data("parent_field") + "_" + $(this).data("row_count") + "_id")

        afc_cmb_uploader = wp.media.frames.afc_cmb_uploader = wp.media({
          title: "Choose File",
          //            library: {type: 'image'},
          button: { text: "Select" },
          multiple: false,
        })

        afc_cmb_uploader.open()

        afc_cmb_uploader.on("select", function () {
          var selection = afc_cmb_uploader.state().get("selection")
          selection.map(function (attachment) {
            attachment = attachment.toJSON()
            //                                alert(" "+attachment.toSource());
            $atfc_attachment_url.attr("value", attachment.url)
            $atfc_attachment_id.attr("value", attachment.id)
          })
        })
      })

      $atfc_parent_wrapper.find("#atfc_add_new_row").on("click", function () {
        var $bwl_cmb_repeat_field_container = $(this).prev(".bwl_cmb_repeat_field_container")
        var $count_val = $bwl_cmb_repeat_field_container.find("li").length

        if ($count_val != 0) {
          $count_val = atfc_get_new_row_id() + parseInt(1)
        }

        var $field_type = $(this).data("field_type")
        var $field_name = $(this).data("field_name")
        var $label_text = $(this).data("label_text")
        var $delete_text = $(this).data("delete_text")
        var $upload_text = $(this).data("upload_text")
        var $default_value = $("#bwl_cmb_data_set").val()

        var $bwl_cmb_new_row_html = atfc_cmb_generate_repeat_field($field_type, $field_name, $count_val, $label_text, $delete_text, $upload_text, $default_value)

        if ($bwl_cmb_repeat_field_container.find("li").length == 0) {
          $bwl_cmb_repeat_field_container.html($bwl_cmb_new_row_html)
        } else {
          $bwl_cmb_repeat_field_container.find("li:last-child").after($bwl_cmb_new_row_html)
        }

        atfc_update_counter()
      })

      // Remove Rows.

      $(document).on("click", ".atfc_delete_row", function () {
        $(this)
          .parent()
          .addClass("bwl_cmb_row_deleted")
          .fadeOut(500, function () {
            $(this).remove()
            atfc_update_counter()
          })
      })

      // Sortable lists.

      $(".bwl_cmb_repeat_field_container").sortable({ placeholder: "bwl-cmb-sort-highlight" })
    }
  })
})(jQuery)
