<?php

// This class displays options panel, addons, documentation links below the plugin information.

class AtfcMetaInfo
{

  public function __construct()
  {
    add_filter('plugin_row_meta', [$this, 'cbAdditionalMetaLinks'], null, 2);
  }

  public function cbAdditionalMetaLinks($links, $file)
  {

    if (strpos($file, BWL_ATFC_PLUGIN_ROOT_FILE) !== false && is_plugin_active($file)) {


      // nt = 1 // new tab.

      $additionalLinks = [

        [
          'title' => __('Options Panel', 'bwl-atfc'),
          'url' => get_admin_url() . 'admin.php?page=bwl-atfc_plugin_panel',
        ],
        [
          'title' => __('Docs', 'bwl-atfc'),
          'url' => BWL_ATFC_DOC_URL,
          'nt' => 1
        ],
        [
          'title' => '<span class="dashicons dashicons-editor-help"></span>' . __('Support', 'bwl-atfc'),
          'url' => BWL_ATFC_SUPPORT_URL,
          'nt' => 1
        ],
        [
          'title' => '<span class="dashicons dashicons-youtube"></span>' . __('Tutorials', 'bwl-atfc'),
          'url' => BWL_ATFC_YOUTUBE_PLAYLIST,
          'nt' => 1
        ]

      ];

      if (BWL_ATFC_VERIFIED != 1) {
        $additionalLinks[] =  [
          'title' => '<span class="dashicons dashicons-privacy"></span>' . __('Active License', 'bwl-atfc'),
          'url' => get_admin_url() . 'admin.php?page=atfc-license',
          'class' => 'bwl_activation_meta_link'
        ];
      }

      $new_links = [];

      foreach ($additionalLinks as $alData) {

        $newTab = isset($alData['nt']) ? 'target="_blank"' : "";
        $class = isset($alData['class']) ? 'class="' . $alData['class'] . '"' : "";

        $new_links[] =  '<a href="' . esc_url($alData['url']) . '"  ' . $newTab . '  ' . $class . '>' . $alData['title'] . '</a>';
      }

      $links = array_merge($links, $new_links);
    }

    return $links;
  }
}

new AtfcMetaInfo();
