<?php

function atfcPluginLicensePage()
{

    $pluginLicenseData = getAtfcLicenseInfo();

    require_once BWL_ATFC_PLUGIN_PATH . '/includes/option-panel/views/verify_license.php';
}


function atfcPluginInfoPage()
{
    wp_enqueue_style('atfc-admin');
    require_once BWL_ATFC_PLUGIN_PATH . '/includes/option-panel/views/plugin_info.php';
}

function cbAtfcMenuPage()
{
    $parentAdminMenuSlug = 'bwl-atfc';

    add_menu_page(
        BWL_ATFC_PLUGIN_TITLE, // The Text to be display in bte browser bar.
        esc_html__('Woo Attachment', 'bwl-atfc'), // The Text to be display in bte browser bar.
        'manage_options', // Permission.
        $parentAdminMenuSlug, // unique slug for plugin settings menu.
        'atfcPluginInfoPage', // Settings Page
        plugins_url(BWL_ATFC_PLUGIN_ROOT . '/libs/cpt-image/atfc_menu_icon.png')
    );
}

function cbAtfcSubMenuPage()
{

    $parentAdminMenuSlug = 'bwl-atfc';

    $licenseActivationInfo = (BWL_ATFC_VERIFIED == 1) ? ['class' => 'activated', 'text' => esc_attr__('ACTIVE', 'bwl-atfc')] : ['class' => 'inactive', 'text' => esc_attr__('INACTIVE', 'bwl-atfc')];

    $sub_pages = [
        [
            'page_title' => esc_attr__('License Page', 'bwl-atfc'),
            'menu_title' => esc_attr__('Plugin License', 'bwl-atfc') . '<span class="atfc-license-activation-tag ' . $licenseActivationInfo['class'] . '">' . $licenseActivationInfo['text'] . '</span>',
            'menu_slug' => 'atfc-license',
            'cb' => 'atfcPluginLicensePage'
        ]
    ];

    foreach ($sub_pages as $sub_page) {
        add_submenu_page(
            $parentAdminMenuSlug,
            $sub_page['page_title'],
            $sub_page['menu_title'],
            'manage_options',
            $sub_page['menu_slug'],
            $sub_page['cb']
        );
    }
}


add_action('admin_menu', 'cbAtfcMenuPage');
add_action('admin_menu', 'cbAtfcSubMenuPage');
