<?php

  //include the main class file
  if ( ! class_exists( 'BF_Admin_Page_Class') ) :
    
    require_once("admin-page-class/admin-page-class.php");

 endif;

/**
   * configure your admin page
   */
  $config = array(    
    'menu'           => 'bwl-atfc',             //sub page to settings page
    'page_title'     => esc_html__('Option Panel','bwl-atfc'),       //The name of this page 
    'capability'     => 'manage_options',         // The capability needed to view the page 
    'option_group'   => 'atfc_options',       //the name of the option to create in the database [do change]
    'id'             => 'atfc_admin_page',            // meta box id, unique per page[do change]
    'fields'         => array(),            // list of fields (can be added by field arrays)
    'local_images'   => false,          // Use local or hosted images (meta box images for add/remove)
    'use_with_theme' => false          //change path if used with theme set to true, false for a plugin or anything else for a custom path(default false).
  );  
  
  /**
   * instantiate your admin page
   */
  $options_panel = new BF_Admin_Page_Class($config);
  $options_panel->OpenTabs_container('');
  
  /**
   * define your admin page tabs listing
   */
  $options_panel->TabsListing(array(
    'links' => array(
      'atfc_general' =>  esc_html__('General','bwl-atfc'),
      'atfc_tab_settings' =>  esc_html__('Tab Settings','bwl-atfc'),
      'atfc_theme_settings' =>  esc_html__('Theme Settings','bwl-atfc'),
      'atfc_advanced' =>  esc_html__('Advanced Options','bwl-atfc'),
    )
  ));
  
  /**
   * Open admin page for General Settings
   */
  $options_panel->OpenTab('atfc_general');

  //General Tab.
  $options_panel->Title(esc_html__("General Options",'bwl-atfc'));
  
  //Font Awesome Loading Condition
  $options_panel->addCheckbox('atfc_load_font_awesome',array('name'=> esc_html__('Load Font Awesome?','bwl-atfc'), 'std' => true, 'desc' => esc_html__('If your theme already loaded font-awesome.css, then turn it off.','bwl-atfc')));
  
  //Required Login To Submit Vote
  $options_panel->addCheckbox('atfc_login_status',array('name'=> esc_html__('Login Required? ','bwl-atfc'), 'std' => FALSE, 'desc' => esc_html__('Allow downloads only for registered users.', 'bwl-atfc')));
  
   // Pagination 
   
  $atfc_pagination_conditinal_fields[] = $options_panel->addText('atfc_items_per_page', array('name'=> esc_html__('Items Per Page','bwl-atfc'), 'std'=> 4 , 'desc' => esc_html__('Set how many items you like to display per page.', 'bwl-atfc')),true);

  //conditinal block
  $options_panel->addCondition('atfc_pagination_conditinal_fields',
      array(
        'name' => esc_html__('Enable Pagination? ','bwl-atfc'),
        'desc' => '',
        'fields' => $atfc_pagination_conditinal_fields,
        'std' => TRUE
      ));
  
  /**
   * Close first tab
   */   
  $options_panel->CloseTab();
  
    /**
   * Open admin page for General Settings
   */
  $options_panel->OpenTab('atfc_tab_settings');

  //General Tab.
  $options_panel->Title(esc_html__("Tab Settings",'bwl-atfc'));
  
  //Tab Custom Title.
  $options_panel->addText('atfc_tab_title',array('name'=> esc_html__('Attachment Tab Title','bwl-atfc'), 'std' => esc_html__( "Attachment ", 'bwl-atfc'), 'desc' => esc_html__('You can change tab title in here.','bwl-atfc')));
  
  // Custom Tab Position.
  $options_panel->addText('atfc_tab_position',array('name'=> esc_html__('Attachment Tab Position','bwl-atfc'), 'std' => 100, 'desc' => esc_html__('Set number like- 1,2,3. Use big number to display Attachment tab last of tab.','bwl-atfc')));
  
  //Tab Display Condition For Empty Attachments.
  $options_panel->addCheckbox('atfc_auto_hide_tab',array('name'=> esc_html__('Hide tab Automatically, If there is no attachment available?','bwl-atfc'), 'std' => FALSE, 'desc' => '' ));
  
  //Display Total Attachment Counter in Tab Title.
  $options_panel->addCheckbox('atfc_display_counter',array('name'=> esc_html__('Display Attachment Counter?','bwl-atfc'), 'std' => true, 'desc' => esc_html__('If you want to display total attachment counters in tab title then turn it On.','bwl-atfc')));
  
  //Hide File Size Condition.
  $options_panel->addCheckbox('atfc_display_file_size',array('name'=> esc_html__('Hide File Size?','bwl-atfc'), 'std' => true, 'desc' => esc_html__('If you want to hide file size then turn it On.','bwl-atfc')));

  //Hide File Type Condition.
  $options_panel->addCheckbox('atfc_display_file_type',array('name'=> esc_html__('Hide File Type?','bwl-atfc'), 'std' => true, 'desc' => esc_html__('If you want to hide file type then turn it On.','bwl-atfc')));

  //Hide Download Counter Condition.
  $options_panel->addCheckbox('atfc_display_download_counter',array('name'=> esc_html__('Hide Download Counter?','bwl-atfc'), 'std' => true, 'desc' => esc_html__('If you want to hide download counters then turn it On.','bwl-atfc')));
  
  //Deactivate Force Download Feature
  $options_panel->addCheckbox('atfc_disable_force_download',array('name'=> esc_html__('Deactivate Force Download Feature?','bwl-atfc'), 'std' => false, 'desc' => esc_html__('Turn it ON to disable force download feature..','bwl-atfc')));
  
  //Hide File Type Icon Condition.
  $options_panel->addCheckbox('atfc_display_file_type_icon',array('name'=> esc_html__('Hide File Type Icon?','bwl-atfc'), 'std' => true, 'desc' => esc_html__('If you want to hide file type icon then turn it On.','bwl-atfc')));
  
  $options_panel->CloseTab();
  
  //Theme Tab.
  
  $options_panel->OpenTab('atfc_theme_settings');
 
  //Theme Tab Title
  $options_panel->Title(esc_html__('Theme Settings','bwl-atfc'));
  
  // Attachment View Type
  $options_panel->addSelect('atfc_view_type',array(
                                                                           'box_view'=> esc_html__('Boxed','bwl-atfc'),
                                                                           'list_view'=>esc_html__('List','bwl-atfc')),
                                                                            array('name'=> esc_html__('Attachment View Type','bwl-atfc'), 
                                                                            'std'=> array('box_view')
                                                                        ));
  
  // Attachment Box Color.
  $options_panel->Subtitle(esc_html__("Attachment Box Theme Settings","bwl-atfc"));
  $options_panel->addColor('atfc_box_bg',array('name'=> esc_html__('Attachment Box Background','bwl-atfc'), 'std' => '#FFFFFF'));
  $options_panel->addColor('atfc_box_border_color',array('name'=> esc_html__('Attachment Box Border','bwl-atfc'), 'std' => '#DDDDDD'));
  $options_panel->addColor('atfc_box_icon_color',array('name'=> esc_html__('File Type Icon Color','bwl-atfc'), 'std' => '#EEEEEE'));
  
  
  //Pagination Theme
  $options_panel->Subtitle(esc_html__("Pagination Theme Settings","bwl-atfc"));
  $options_panel->addColor('atfc_pag_box_bg',array('name'=> esc_html__('Pagination Box Background','bwl-atfc'), 'std' => '#FFFFFF'));
  $options_panel->addColor('atfc_pag_border_color',array('name'=> esc_html__('Pagination Box Border','bwl-atfc'), 'std' => '#DDDDDD'));
  $options_panel->addColor('atfc_pag_box_text_color',array('name'=> esc_html__('Pagination Box Text','bwl-atfc'), 'std' => '#000000'));
  
  $options_panel->addColor('atfc_pag_sel_box_bg',array('name'=> esc_html__('Pagination Selected Box Background','bwl-atfc'), 'std' => '#007ACB'));
  $options_panel->addColor('atfc_pag_sel_border_color',array('name'=> esc_html__('Pagination Selected Box Border','bwl-atfc'), 'std' => '#DDDDDD'));
  $options_panel->addColor('atfc_pag_sel_box_text_color',array('name'=> esc_html__('Pagination Selected Box Text','bwl-atfc'), 'std' => '#FFFFFF'));
   
  $options_panel->CloseTab();
  
   /**
   * Open admin page Advance TAB
   */
  $options_panel->OpenTab('atfc_advanced');

  //title
 
  $options_panel->Title(esc_html__("Advance Setting",'bwl-atfc'));
    
  //Enable Display Custom File Title? 
  $options_panel->addCheckbox('atfc_custom_title_status',array('name'=> esc_html__('Enable Display Custom File Title? ','bwl-atfc'), 'std' => FALSE, 'desc' => esc_html__('You can add custom file name in WP media section & display in attachment list.', 'bwl-atfc')));
 
  //Enable Global Attachment 
  $options_panel->addCheckbox('atfc_global_attachment_status',array('name'=> esc_html__('Enable Global Attachment? ','bwl-atfc'), 'std' => FALSE, 'desc' => esc_html__('Allow common downloadable files to display all the WooCommerce product attachment Tab.', 'bwl-atfc')));
 
  
 $options_panel->addCode('aftc_custom_css',array('name'=> esc_html__('Custom CSS ','bwl-atfc'), 'syntax' => 'css', 'desc' => esc_html__('You can write custom css code in here.','bwl-atfc')));
  
  /**
   * Close first tab
   */   
  $options_panel->CloseTab();