(function($) {
    
    "use strict";

    $(function() {
        
        var $atfc_wrapper = $(".atfc_wrapper");
        
        if( $atfc_wrapper.length == 0 ) 
            
            return 1;
        
        
        /*------------------------------  Pagination ---------------------------------*/

        var $atfc_wrapper = $(".atfc_wrapper");
        
        var new_page,start_from,end_on;


        function previous() {

            new_page = parseInt($('#current_page').val()) - 1;
            //if there is an item before the current active link run the function
            if ($('.active_page').prev('.page_link').length == true) {
                go_to_page(new_page);
            }

        }

        function next() {
            new_page = parseInt($('#current_page').val()) + 1;
            //if there is an item after the current active link run the function
            if ($('.active_page').next('.page_link').length == true) {
                go_to_page(new_page);
            }

        }

        function go_to_page(page_num) {
//            alert(" "+page_num);
            //get the number of items shown per page
            var show_per_page = parseInt($('#show_per_page').val());

            //get the element number where to start the slice from
            start_from = page_num * show_per_page;

            //get the element number where to end the slice
            end_on = start_from + show_per_page;

            //hide all children elements of content div, get specific items and show them
//            $atfc_wrapper.children().css('display', 'none').slice(start_from, end_on).css('display', 'block');
            $atfc_wrapper.children().addClass('dn').slice(start_from, end_on).removeClass('dn');

            /*get the page link that has longdesc attribute of the current page and add active_page class to it
             and remove that class from previously active page link*/

            //update the current page input field
            $('#current_page').val(page_num);

            load_navigation(page_num);
        }

        function load_navigation(page_num) {

            var number_of_items = $atfc_wrapper.children().size();
            var show_per_page = $('#show_per_page').val();
            //calculate the number of pages we are going to have
            var number_of_pages = Math.ceil(number_of_items / show_per_page);
            var navigation_html = '<a class="previous_link" href="#">&laquo;</a>';


            var max_pages_to_show = 10;

            if (number_of_pages > max_pages_to_show) {

                var middle_items = 5;
                var current_page = $('#current_page').val();
                var start_range = parseInt(current_page) - Math.floor(middle_items);
                var end_range = parseInt(current_page) + Math.floor(middle_items);
                if (start_range < 0) {

                    end_range += Math.abs(start_range);
                    start_range = 0;
                }
                if (end_range > number_of_pages) {
                    start_range -= end_range - number_of_pages;
                    end_range = number_of_pages
                }

                var i = 0;
                while (i <= number_of_pages) {

                    if (start_range > 2 && i == start_range) {
                        navigation_html += '...';
                    }

                    if (i == 1 || i == number_of_pages || (i >= start_range && i <= end_range)) {
                        navigation_html += '<a href="#" class="page_link" data-page_num="' + i + '" data-longdesc="' + i + '">' + (i + 1) + '</a>';
                    }

                    if (end_range < number_of_pages - 1 && i == end_range) {
                        navigation_html += '...';
                    }

                    i++;
                }

            } else {

                var current_link = 0;
                while (number_of_pages > current_link) {
                    navigation_html += '<a href="#" class="page_link" data-page_num="' + current_link + '" data-longdesc="' + current_link + '">' + (current_link + 1) + '</a>';
                    current_link++;
                }

            }

            navigation_html += '<a class="next_link" href="#">&raquo;</a>';

            $('#page_navigation').html(navigation_html);

            $('.page_link[data-longdesc=' + page_num + ']').addClass('active_page').siblings('.active_page').removeClass('active_page');


            $(".previous_link").on('click', function() {
                previous();
                return false;
            })
            $(".next_link").on('click', function() {
                next();
                return false;
            })
            $(".page_link").on('click', function() {
 
                go_to_page($(this).data('page_num'));

                return false;
            })


        }
        

        // Test.

        if ($("#tab-title-bwl_atfc_tab").length) {

            var $tab_title_bwl_atfc_tab = $("#tab-title-bwl_atfc_tab");

        }


        /*------------------------------  Count Total No of Items---------------------------------*/

        if ($(".bwl_atfc_tab_tab").length && typeof (atfc_display_counter) != 'undefined' && atfc_display_counter == 1) {

            var $atfc_tab_title_text = $(".bwl_atfc_tab_tab").find('a').text();

            var $atfc_total_items = $('.atfc_wrapper').find("li").length;


            if ($atfc_total_items > 0) {
                $(".bwl_atfc_tab_tab").find('a').html($atfc_tab_title_text + " (" + $atfc_total_items + ")");
            }

        }


        

        if ($atfc_wrapper.length > 0 && typeof (atfc_pagination_status) != 'undefined' && atfc_pagination_status == 1) {

            var show_per_page = 2; //how much items per page to show

            if (typeof (atfc_items_per_page) != 'undefined' && atfc_items_per_page != "") {
                show_per_page = atfc_items_per_page;
            }

            if ($atfc_wrapper.children().size() <= show_per_page) {
                return '';
            }

            //set the value of our hidden input fields
            $('#current_page').val(0);
            $('#show_per_page').val(show_per_page);

            //now when we got all we need for the navigation let's make it '

            /* 
             what are we going to have in the navigation?
             - link to previous page
             - links to specific pages
             - link to next page
             */
            load_navigation();

            //add active_page class to the first page link
            $('#page_navigation .page_link:first').addClass('active_page');

            //hide all the elements inside content div
//        $atfc_wrapper.children().css('display', 'none');
            $atfc_wrapper.children().addClass('dn');

            //and show the first n (show_per_page) elements
//        $atfc_wrapper.children().slice(0, show_per_page).css('display', 'block');
            $atfc_wrapper.children().slice(0, show_per_page).removeClass('dn');

        }

    });


})(jQuery);